<div class="modal-header">
    <h5 class="modal-title" id="modificationCategorieModalLabel">Modification de catégorie</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>

<div class="modal-body">
    <form id="modification-categorie">
        {{ form }}
    </form>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
    <button type="button" class="btn btn-primary" onclick="modifier()">Modifer</button>
</div>

<script type="text/javascript">
    function modifier() {
        $('#modification-categorie').ajaxSubmit({
            type: 'post',
            url: '{% url 'modification_type_projet' id %}',
            data: {
                'csrfmiddlewaretoken': '{{ csrf_token }}'
            },
            success: function (data) {
                if (data['success']) {
                    $('.modal-body').html('<p>Modification de type de projet réussie !</p>');
                    setTimeout(() => {
                        location.reload();
                    }, 500);
                } else {
                    alert("Erreur : Merci de recommencer la procédure !");
                    location.reload();
                }
            }
        });
    }
</script>